Package org.opensaml.saml.saml2.core

# Interface NameIDType

All Superinterfaces:
  `XMLObject`, `XSString`

All Known Subinterfaces:
  `Issuer`, `NameID`, `RespondTo`

All Known Implementing Classes:
  `AbstractNameIDType`, `IssuerImpl`, `NameIDImpl`, `RespondToImpl`

public interface NameIDType extends XSString
SAML 2.0 Assertion NameID schema type.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`EMAIL`
URI for email name format.
`static final String`
`ENCRYPTED`
Special URI used by NameIDPolicy to indicate a NameID should be encrypted.
`static final String`
`ENTITY`
URI for SAML entity name format.
`static final String`
`FORMAT_ATTRIB_NAME`
Format attribute name.
`static final String`
`KERBEROS`
URI for kerberos name format.
`static final String`
`NAME_QUALIFIER_ATTRIB_NAME`
NameQualifier attribute name.
`static final String`
`PERSISTENT`
URI for persistent name format.
`static final String`
`SP_NAME_QUALIFIER_ATTRIB_NAME`
SPNameQualifier attribute name.
`static final String`
`SPPROVIDED_ID_ATTRIB_NAME`
SPProviderID attribute name.
`static final String`
`TRANSIENT`
URI for transient name format.
`static final String`
`UNSPECIFIED`
URI for unspecified name format.
`static final String`
`WIN_DOMAIN_QUALIFIED`
URI for windows domain qualified name name format.
`static final String`
`X509_SUBJECT`
URI for X509 subject name format.

### Fields inherited from interface org.opensaml.core.xml.schema.XSString

`TYPE_LOCAL_NAME, TYPE_NAME`

## Method Summary

Modifier and Type
Method
Description
`String`
`getFormat()`
Gets the format of the NameID.
`String`
`getNameQualifier()`
Gets the NameQualifier value.
`String`
`getSPNameQualifier()`
Gets the SPNameQualifier value.
`String`
`getSPProvidedID()`
Gets the SPProvidedID of this NameID.
`void`
`setFormat(String newFormat)`
Sets the format of the NameID.
`void`
`setNameQualifier(String newNameQualifier)`
Sets the NameQualifier value.
`void`
`setSPNameQualifier(String newSPNameQualifier)`
Sets the SPNameQualifier value.
`void`
`setSPProvidedID(String newSPProvidedID)`
Sets the SPProvddedID of this NameID.

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getOrderedChildren, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

### Methods inherited from interface org.opensaml.core.xml.schema.XSString

`getValue, setValue`

## Field Details

### NAME_QUALIFIER_ATTRIB_NAME

@Nonnull @NotEmpty static final String NAME_QUALIFIER_ATTRIB_NAME
NameQualifier attribute name.

See Also:
  - Constant Field Values

### SP_NAME_QUALIFIER_ATTRIB_NAME

@Nonnull @NotEmpty static final String SP_NAME_QUALIFIER_ATTRIB_NAME
SPNameQualifier attribute name.

See Also:
  - Constant Field Values

### FORMAT_ATTRIB_NAME

@Nonnull @NotEmpty static final String FORMAT_ATTRIB_NAME
Format attribute name.

See Also:
  - Constant Field Values

### SPPROVIDED_ID_ATTRIB_NAME

@Nonnull @NotEmpty static final String SPPROVIDED_ID_ATTRIB_NAME
SPProviderID attribute name.

See Also:
  - Constant Field Values

### UNSPECIFIED

@Nonnull @NotEmpty static final String UNSPECIFIED
URI for unspecified name format.

See Also:
  - Constant Field Values

### EMAIL

@Nonnull @NotEmpty static final String EMAIL
URI for email name format.

See Also:
  - Constant Field Values

### X509_SUBJECT

@Nonnull @NotEmpty static final String X509_SUBJECT
URI for X509 subject name format.

See Also:
  - Constant Field Values

### WIN_DOMAIN_QUALIFIED

@Nonnull @NotEmpty static final String WIN_DOMAIN_QUALIFIED
URI for windows domain qualified name name format.

See Also:
  - Constant Field Values

### KERBEROS

@Nonnull @NotEmpty static final String KERBEROS
URI for kerberos name format.

See Also:
  - Constant Field Values

### ENTITY

@Nonnull @NotEmpty static final String ENTITY
URI for SAML entity name format.

See Also:
  - Constant Field Values

### PERSISTENT

@Nonnull @NotEmpty static final String PERSISTENT
URI for persistent name format.

See Also:
  - Constant Field Values

### TRANSIENT

@Nonnull @NotEmpty static final String TRANSIENT
URI for transient name format.

See Also:
  - Constant Field Values

### ENCRYPTED

@Nonnull @NotEmpty static final String ENCRYPTED
Special URI used by NameIDPolicy to indicate a NameID should be encrypted.

See Also:
  - Constant Field Values

## Method Details

### getNameQualifier

@Nullable String getNameQualifier()
Gets the NameQualifier value.

Returns:
  the NameQualifier value

### setNameQualifier

void setNameQualifier(@Nullable String newNameQualifier)
Sets the NameQualifier value.

Parameters:
  `newNameQualifier` - the NameQualifier value

### getSPNameQualifier

@Nullable String getSPNameQualifier()
Gets the SPNameQualifier value.

Returns:
  the SPNameQualifier value

### setSPNameQualifier

void setSPNameQualifier(@Nullable String newSPNameQualifier)
Sets the SPNameQualifier value.

Parameters:
  `newSPNameQualifier` - the SPNameQualifier value

### getFormat

@Nullable String getFormat()
Gets the format of the NameID.

Returns:
  the format of the NameID

### setFormat

void setFormat(@Nullable String newFormat)
Sets the format of the NameID.

Parameters:
  `newFormat` - the format of the NameID

### getSPProvidedID

@Nullable String getSPProvidedID()
Gets the SPProvidedID of this NameID.

Returns:
  the SPProvidedID of this NameID

### setSPProvidedID

void setSPProvidedID(@Nullable String newSPProvidedID)
Sets the SPProvddedID of this NameID.

Parameters:
  `newSPProvidedID` - the SPProvidedID of this NameID